%define		major	2.2
%define		libname	%mklibname %{name} %{major}
%define		devel	%mklibname %{name} -d

Name:		gflags
Version:	2.2.2
Release:	%mkrel 1
Summary:	A C++ library that implements commandline flags processing
Group:		System/Libraries
License:	BSD
URL:		https://gflags.github.io/gflags/
Source0:	https://github.com/gflags/gflags/archive/v%{version}/%{name}-%{version}.tar.xz
Patch1:     SOURCES/gflags-fix-pkg-path.patch

BuildRequires:	cmake

%description
The gflags package contains a C++ library that implements commandline flags
processing. It includes built-in support for standard types such as string
and the ability to define flags in the source file in which they are used.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries for %{name}

%package -n	%{devel}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devel}
Development files for %{name}

%prep
%setup -q
%patch1 -p1 -b .patch1

%build
%cmake \
	-DBUILD_gflags_LIBS:BOOL=ON \
	-DINSTALL_HEADERS:BOOL=ON
%cmake_build

%install
rm -rf %buildroot
%cmake_install

# Delete file in $HOME
%{__rm} -rf %{buildroot}/${HOME}/.cmake/packages/%{name}

%files
%{_bindir}/%{name}_completions.sh

%files -n	%{devel}
%{_libdir}/libgflags.so
%{_libdir}/libgflags_nothreads.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}/

%files -n	%{libname}
%{_libdir}/libgflags_nothreads.so.%{major}
%{_libdir}/libgflags_nothreads.so.%{version}
%{_libdir}/libgflags.so.%{major}
%{_libdir}/libgflags.so.%{version}


%changelog
* Fri Jul 09 2021 tex - 2.2.2-1pclos2021
- create pkg
